Sectra IDS7

System requirements

To be able to use IDS7 you require:

If these components have not already been installed, you will be notified during the installation of the software or when the software is first executed. Click the links above to install the required components. Please note that the installation of the components above require administrator privileges.

Note

To be able to use IDS7 you need Microsoft Internet Explorer 8, 9, 10 or 11 running on Microsoft Windows XP, Windows 7 or Windows 8.1.

Start IDS7